Subject: Re: [Spits] Coolant Sediment Removal

From: John Henard <[email-masked]>
Date: Tue, 23 Apr 2013 10:28:56 -0400

Gents,Thank you for the suggestions. After a good general cleaning, I plan to
use vinegar and then move to CLR. I bought a bottle of CLR and when I read the
instructions is said to keep away from brass, copper and aluminum so I am
being a little cautious. Now I just need to find time when the wife is away to
turn the sink into a lab.
Thanks,
--John Henard

 > From: [email-masked]
> To: [email-masked]; [email-masked]
> CC: [email-masked]
> Subject: RE: [Spits] Coolant Sediment Removal
> Date: Mon, 22 Apr 2013 12:46:21 -0400
>
> Has anyone tried CLR?  Calcium, Lime and Rust remover?
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of John Henard
> Sent: Monday, April 22, 2013 12:34 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Spits] Coolant Sediment Removal
>
> Morning Lists,
>
> Anyone have recommendations for removal of scale/sediments for small
piping,
> intake manifold, t-stat housing etc. when they are off the car?
>
> Vinegar soak is the most common treatment I have read. Suggestions?
>
> I have had the radiator boiled by a rad shop but had other parts off while
> doing some repairs. It is for a '71 Spit that did not have regular flushes
> (yes - shame on me).
>
> Thanks for the help,
>
> --John Henard
> _______________________________________________
>
> [email-masked]
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $11.47
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/spitfires/[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive